<div class="container-fluid pb-3">
  <div class="row time-picker__selected align-items-center">
    <div class="col px-0">
      {{#basic-dropdown
        class="time-picker__dropdown"
        renderInPlace=true
        as |hourSelect|
      }}
        {{#hourSelect.trigger class="time-picker__dropdown-trigger" tagName='button'}}
          {{selectedHour}}
        {{/hourSelect.trigger}}
        {{#hourSelect.content onMouseLeave=(action "closeDropdown") class="time-picker__dropdown-content"}}
          {{#each hours as |hour|}}
            <button class="time-picker__dropdown-option" {{action 'changeTime' 'selectedHour' hour hourSelect}}>{{hour}}</button>
          {{/each}}
        {{/hourSelect.content}}
      {{/basic-dropdown}}
    </div>

    <div class="col-auto">
      <span>:</span>
    </div>

    <div class="col px-0">
      {{#basic-dropdown
        class="time-picker__dropdown"
        renderInPlace=true
        as |minSelect|
      }}
        {{#minSelect.trigger class="time-picker__dropdown-trigger" tagName='button'}}
          {{selectedMinutes}}
        {{/minSelect.trigger}}
        {{#minSelect.content onMouseLeave=(action "closeDropdown") class="time-picker__dropdown-content"}}
          {{#each minutes as |minute|}}
            <button class="time-picker__dropdown-option" {{action 'changeTime' 'selectedMinutes' minute minSelect}}>{{minute}}</button>
          {{/each}}
        {{/minSelect.content}}
      {{/basic-dropdown}}
    </div>

    <div class="col px-0">
      {{#basic-dropdown
        class="time-picker__dropdown"
        renderInPlace=true
        as |indSelect|
      }}
        {{#indSelect.trigger class="time-picker__dropdown-trigger" tagName='button'}}
          {{selectedTimeIndicator}}
        {{/indSelect.trigger}}
        {{#indSelect.content onMouseLeave=(action "closeDropdown") class="time-picker__dropdown-content"}}
          <button class="time-picker__dropdown-option" {{action 'changeTime' 'selectedTimeIndicator' 'AM' indSelect}}>AM</button>
          <button class="time-picker__dropdown-option" {{action 'changeTime' 'selectedTimeIndicator' 'PM' indSelect}}>PM</button>
        {{/indSelect.content}}
      {{/basic-dropdown}}
    </div>
  </div>
</div>
